# ComplexOperations.jl

Perform basic operations on complex numbers. Complex numbers are represented as 2-element vectors.
Operations include:

- complex scalar operations
  - scalar multiplications (`complex_multiply`)
  - scalar division (`complex_divide`)
- complex vector operations
  - vector dot product (`complex_vector_dot_product`)
  - vector cross product (`complex_vector_cross_product`)
- complex matrix operations
  - matrix multiplication (`complex_matrix_multiplication`)
  - matrix inversion (`complex_matrix_inversion`)

# Installation

The package should be registered, and can be installed by executing the following command:

`using Pkg; Pkg.add(ComplexOperations)`

If this fails (e.g., if registering the package didn't work), then you can install it by opening an interactive julia session, and type the following command:

`using Pkg; Pkg.add(url="https://github.com/mhmodzoka/ComplexOperations.jl")`
